Skip to main content
PATCH
Contract Update Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_uuid
string
required

UUID of the contract to update

Body

application/json

Input schema for partially updating a contract (all fields optional).

customer_uuid
string<uuid> | null

UUID of the new customer

Example:

"123e4567-e89b-12d3-a456-426614174000"

title
string | null

New contract title

Example:

"Updated Enterprise Agreement"

contract_start_date
string<date> | null

New contract start date

Example:

"2024-01-01"

contract_end_date
string<date> | null

New contract end date

Example:

"2025-01-01"

contract_amount
number | null

Updated contract value

Example:

150000

currency
string | null

ISO 4217 currency code

Example:

"USD"

payment_terms
enum<string> | null

Updated payment terms. Valid values: due upon receipt, net 3, net 7, net 15, net 30, net 45, net 60, net 90, net 120

Available options:
due upon receipt,
net 3,
net 7,
net 15,
net 30,
net 45,
net 60,
net 90,
net 120
Example:

"net 60"

is_evergreen
boolean | null

Whether the contract auto-renews

Example:

false

Response

Contract updated successfully

Detailed contract information with plan items.

contract_status
string
required

The current status of the contract

Example:

"accepted"

customer
CustomerBasicOut · object | null

Customer information

plan_items
PlanItemOut · object[]

List of plan items associated with this contract

file_url
string | null

URL to download the contract PDF

Example:

"https://api.justpaid.io/files/contract.pdf"

uuid
string<uuid>
title
string | null
Maximum string length: 255
contract_start_date
string<date> | null
contract_end_date
string<date> | null
contract_amount
string | null
currency
string | null
default:USD
Maximum string length: 3
payment_terms
string | null
Maximum string length: 60
discounted_amount
string | null
discount_percent
string | null
is_evergreen
boolean
default:false
invoice_start_date
string<date> | null
preferred_invoice_day
integer | null
created_at
string<date-time>
contract_summary
string | null